sc::PW92LCFunctional Class Reference

Implements the PW92 local (LSDA) correlation term. More...

`#include <functional.h>`

Inheritance diagram for sc::PW92LCFunctional:
[legend]
Collaboration diagram for sc::PW92LCFunctional:
[legend]

## Public Member Functions

| PW92LCFunctional (const Ref< KeyVal > &)
| PW92LCFunctional (StateIn &)
void | save_data_state (StateOut &)
| Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them. More...
void | point_lc (const PointInputData &, PointOutputData &, double &, double &, double &)
Public Member Functions inherited from sc::LSDACFunctional
| LSDACFunctional (const Ref< KeyVal > &)
| LSDACFunctional (StateIn &)
void | point (const PointInputData &, PointOutputData &)
Public Member Functions inherited from sc::DenFunctional
| DenFunctional (const Ref< KeyVal > &)
| DenFunctional (StateIn &)
virtual void | set_spin_polarized (int i)
virtual void | set_compute_potential (int i)
virtual int | need_density_gradient ()
virtual int | need_density_hessian ()
void | gradient (const PointInputData &, PointOutputData &, double *gradient, int acenter, GaussianBasisSet *basis, const double *dmat_a, const double *dmat_b, int ncontrib, const int *contrib, int ncontrib_bf, const int *contrib_bf, const double *bs_values, const double *bsg_values, const double *bsh_values)
virtual double | a0 () const
| Returns the fraction of Hartee-Fock exchange to be included.
void | fd_point (const PointInputData &, PointOutputData &)
int | test (const PointInputData &)
int | test ()
Public Member Functions inherited from sc::SavableState
SavableState & | operator= (const SavableState &)
void | save_state (StateOut &)
| Save the state of the object as specified by the StateOut object. More...
void | save_object_state (StateOut &)
| This can be used for saving state when the exact type of the object is known for both the save and the restore. More...
virtual void | save_vbase_state (StateOut &)
| Save the virtual bases for the object. More...
Public Member Functions inherited from sc::DescribedClass
| DescribedClass (const DescribedClass &)
DescribedClass & | operator= (const DescribedClass &)
ClassDesc * | class_desc () const throw ()
| This returns the unique pointer to the ClassDesc corresponding to the given type_info object. More...
const char * | class_name () const
| Return the name of the object's exact type.
int | class_version () const
| Return the version of the class.
virtual void | print (std::ostream &=ExEnv::out0()) const
| Print the object.
Public Member Functions inherited from sc::RefCount
int | lock_ptr () const
| Lock this object.
int | unlock_ptr () const
| Unlock this object.
void | use_locks (bool inVal)
| start and stop using locks on this object
refcount_t | nreference () const
| Return the reference count.
refcount_t | reference ()
| Increment the reference count and return the new count.
refcount_t | dereference ()
| Decrement the reference count and return the new count.
int | managed () const
void | unmanage ()
| Turn off the reference counting mechanism for this object. More...
int | managed () const
| Return 1 if the object is managed. Otherwise return 0.
Public Member Functions inherited from sc::Identity
Identifier | identifier ()
| Return the Identifier for this argument. More...

## Protected Member Functions

double | F (double x, double A, double alpha_1, double beta_1, double beta_2, double beta_3, double beta_4, double p)
double | dFdr_s (double x, double A, double alpha_1, double beta_1, double beta_2, double beta_3, double beta_4, double p)

## Additional Inherited Members

Static Public Member Functions inherited from sc::SavableState
static void | save_state (SavableState *s, StateOut &)
static SavableState * | restore_state (StateIn &si)
| Restores objects saved with save_state. More...
static SavableState * | key_restore_state (StateIn &si, const char *keyword)
| Like restore_state, but keyword is used to override values while restoring. More...
static SavableState * | dir_restore_state (StateIn &si, const char *objectname, const char *keyword=0)
Protected Attributes inherited from sc::DenFunctional
int | spin_polarized_
int | compute_potential_
double | a0_

## Detailed Description

Implements the PW92 local (LSDA) correlation term.

This local correlation functional is used in PW91 and PBE.

J. P. Perdew and Y. Wang. Phys. Rev. B, 45, 13244, 1992.

## Member Function Documentation

void sc::PW92LCFunctional::save_data_state | ( | StateOut & |  | ) |

virtual

Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them.

This must be implemented by the derived class if the class has data.

Reimplemented from sc::LSDACFunctional.

The documentation for this class was generated from the following file:

- functional.h